package com.ruoyi.demo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@TableName("bl_topological_house_wd_list")
public class TopologicalHouseWd implements Serializable {

    public String aroundWdId;
    public String aroundWdName;
    public String aroundWdTypeCode;
    public double distance;

    public String addrCode;

    public String addrCodeInfo;

    public String addrInfo;

    public double rent;

    public String propertyType;

    public int households;

    public int peopleCount;

    private LocalDateTime analyseTime;

    private double lat;

    private double lng;

    public TopologicalHouseWd(WdInfo wdInfo) {
        this.aroundWdId = wdInfo.getWdId();
        this.aroundWdName = wdInfo.getWdName();
        this.aroundWdTypeCode = wdInfo.getWdTypeCode();
        this.addrCode = wdInfo.getAddrCode();
        this.addrInfo = wdInfo.getAddrInfo();
        this.lat = wdInfo.getLat().doubleValue();
        this.lng = wdInfo.getLng().doubleValue();
    }

    public TopologicalHouseWd() {

    }
}
